Subject: bug#56796: 29.0.50; Hard newlines not respected in code comments?

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Jul 2022 10:32:21 -0400

> Adding Stefan to CC, who write fill-comment-paragraph.  If we want
> use-hard-newlines to be supported in comments, we should modify
> fill-comment-paragraph to honor it in some way, perhaps simply
> deferring to fill-region in that case.

It was many years ago, but IIRC the autor of that code presumed it was
used in "code" and he also presumed that hard newlines are only for
"text", and furthermore it presumed that the two are mutually exclusive.
He was apparently a quite naive young fellow,

At the same time, I'm not sure how important it is to handle hard
newlines in ELisp comments, so I'm not sure how important it is to
fix this.  This bug report only gives a (good) recipe but not a good
reason for doing such a thing, so maybe some context explaining how/why
such hard newlines can appear in comments would help motivate a fix.

        Stefan